Subject: Re: [PATCH v3 net-next] bpf: fix bpf_perf_event_read() helper

From: Peter Zijlstra <[email-masked]>
Date: Fri, 23 Oct 2015 16:54:07 +0200

On Fri, Oct 23, 2015 at 07:42:22AM -0700, Alexei Starovoitov wrote:
> On 10/23/15 5:03 AM, Peter Zijlstra wrote:
> >So the bpf_perf_event_read() returns the count value, does this not also
> >mean that returning -EINVAL here is also 'wrong'?
> >
> >I mean, sure an actual count value that high is unlikely, but its still
> >a broken interface.
> 
> Agree. that's not pretty interface. I wish I looked at it more carefully
> when it was introduced. Now it's too late to change.

Right; and I figure changing the function signature is not done because
the eBPF stuff is ABI? Unfortunate indeed.